# std::basic_spanstream<CharT,Traits>::operator=

From cppreference.com
< cpp‎ | io‎ | basic spanstream

basic_spanstream& operator=( basic_spanstream&& other ); | (1) | (since C++23)
basic_spanstream& operator=( const basic_spanstream& ) = delete; | (2) | (since C++23)

1) Move assigns the other to *this, effectively move-assigning both the std::basic_iostream base class subobject and the wrapped std::basic_spanbuf.
2) Copy assignment operator is deleted. `basic_spanstream` is not copy assignable.

Note that move assignment operator of the base class swaps all stream state variables (except for `rdbuf()`) between *this and other.

It is implementation-defined whether the std::basic_spanbuf wrapped in other still holds an underlying buffer after the move assignment.

### Parameters

other | - | another stream to move from

### Return value

*this

### Exceptions

May throw implementation-defined exceptions.

### Example

| This section is incomplete Reason: no example

### See also

operator= | assigns a `basic_spanbuf` object (public member function of `std::basic_spanbuf<CharT,Traits>`)
operator= (C++11) | move-assigns another `basic_iostream` (protected member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/basic_spanstream/operator%3D&oldid=130849"